import 'package:flutter/material.dart';
import 'package:rkm/models/city_load_model.dart';
import 'package:rkm/models/type_breed_model.dart';
import 'package:rkm/models/type_certificate_model.dart';
import '../models/type_marital_model.dart';
import '../models/type_scooling_model.dart';
import 'color_palette.dart';

class ConstVariable{
  double radiusBorderInput = 5;
  EdgeInsetsGeometry marginHightInput = EdgeInsets.symmetric(vertical: 5);
  EdgeInsetsGeometry paddingWidth = EdgeInsets.symmetric(horizontal: 10);
  double fontSizeInput = 15;
  double fontSizeTitleAppBar = 20;
  List<String> RGUF = ['AC','AI','AL','AM','AN','AP','AS','BA','BY','CA','CB','CE','CH','CN','CO','DC','DF','ES','GD','GO','GU',
                       'HU','IL','LA','LE','LI','LO','LT','MA','MG','MO','MS','MT','NB','NE','NW','NT','NY','OH','OU','PA','PB',
                       'PE','PI','PO','PR','QH','RJ','RM','RN','RO','RR','RN','RO','RR','RS','SC','SE','SF','SJ','SP','TA','TO',
                       'VC','XX','ZU','-','--',''];
  List<String> itensProceduresStart = [
    'ATENDIMENTO INDIVIDUAL',
    'VISTA DOMICILIAR'
  ];
  List<String> listNationality =[
    'BRASILEIRO',
    'ESTRANGEIRO',
    'NATURALIZADO',
  ];
  List CID = [];
  List CIAP = [
    '30 - EXAME MÉDICO/AVALIAÇÃO DE SAÚDE - COMPLETO',
    '31 - EXAME MÉDICO/AVALIAÇÃO DE SAÚDE - PARCIAL',
    '32 - TESTE DE SENSIBILIDADE',
    '33 - EXAME MICROBIOLÓGICO/IMUNOLÓGICO',
  ];

  List<String> listConduct = [
    'ALTA ADMINISTRATIVA',
    'ALTA CLÍNICA',
    'END. AD1',
    'ENC. INTERNAÇÃO HOSPITALAR',
    'ENC. URGÊNCIA E EMERGÊNCIA',
    'ÓBITO',
    'PERMANÊNCIA',
  ];

  List proceduresModel = [
    'ACOMPANHAMENTO DE PACIENTE EM REABILITAÇÃO',
    'ENEMA',
    'ANTIBIOTICOTERAPIA PARENTERAL',
    'OXIGENOTERAPIA',
    'ATEND./ACOMP.PACIENTE EM REABILITAÇÃO DO DES...',
    'RETIRADA DE PONTOS DE CIRURGIAS BÁSICAS',
    'ATEND. FISIOTERAPÊUTICO PACIENTE C/ TRANST. RES...',
    'SONDAGEM GÁSTRICA',
    'ATENDIMENTO MÉDICO COM FINALIDADE DE ATESTAR...',
    'TERAPIA DE REIDRATAÇÃO ORAL',
    'ATENDIMENTO/ACOMPANHMENTO DE REABILITAÇÃO',
    'TERAPIA DE REIDRATAÇÃO PARENTAL',
    'CATETERISMO VESICAL DE ALÍVIO',
    'TERAPIA FONOAUDIOLÓGICA INDIVIDUAL',
    'CATETERISMO VESICAL DE DEMORA',
    'TRATAMENTO DE TRAUMATISMOS DE LOCALIZAÇÃO E...',
    'COLETA DE MATERIAL PARA EXAME LABORATORIAL',
    'TRATAMENTO EM REABILITAÇÃO',
    'CUIDADOS COM ESTOMAS',
    'CUIDADOS COM TRAQUEOSTOMIA',
  ];

  List serviceIndividualCheckBoxList =[
    'ASMA',
    'PUERPÉRO (ATÉ 42 ...',
    'DESNUTRIÇÃO',
    'SAÚDE SEXUAL E RE...',
    'DIABETES',
    'TABAGISMO',
    'DPOC',
    'USUÁRIO DE ÁLCOOL',
    'HIPERTERSÃO ARTERIAL',
    'USUÁRIO DE OUTRA...',
    'OBESIDADE',
    'SAÚDE MENTAL',
    'PRÉ-NATAL',
    'REABILITAÇÃO',
    'PUERICULTURA',
  ];

  List<String> trackingModelList=['CÂNCER DE COLO DO ÚTERO','CÂNCER DE MAMA','RISCO CARDIOVASCULAR'];
  List<String> nasfPoloModelList=['AVALIAÇÃO/DIAGNÓSTICO','PROCEDIMENTOS CLÍNICOS/TERAPÊUTICO','PRESCRIÇÃO TERAPÊUTICA'];
  List<String> conductModelList=[
    'RETORNO PARA CONSULTA AGENDADA','RETORNO PARA CUIDADO CONTINUADO/PROGRAMADO',
    'AGENDAMENTO PARA GRUPOS','AGENDAMENTO PARA NASF','ALTA DO EPISÓDIO'];
  List<String> forwardingModelList=[
    'INTERNO DO DIA','SERVIÇO ESPECIALIZADO','CAPS','INTERNAÇÃO HOSPITALAR','URGÊNCIA'
    'SERVIÇO DE ATENÇÃO DOMICILIAR','INTERSETORIAL'];

  List communicableDiseasesList = [
    'TUBERCULOSE',
    'DENGUE',
    'HANSENÍASE',
    'DST',
  ];

  List serviceHomeCheckConditionlist = [
    'ACAMADO',
    'DOMICILIADO',
    'ÚLCERAS / FERIDAS (GRAU III OU IV)',
    'ACOMPANHAMENTO NUTRICIONAL',
    'USO DE SONDA NASO-GRÁSTRICA - SNG',
    'USO DE SONDA NASO-ENTERAL - SNE',
    'USO DE GASTRONOMIA',
    'USO DE COLOSTOMIA',
    'USO DE CISTOSTOMIA',
    'USO DE SONDA VESICAL DE DEMORA - SVD',
    'ACOMPANHAMENTO PRÉ-OPERATÓRIO',
    'ACOMPANHAMENTO PÓS-OPERATÓRIO',
    'ADAPTAÇÃO AO USO DE ÓRTESE / PRÓTESE',
    'REABILITAÇÃO DOMICILIAR',
    'CUIDADOS PALIATIVOS ONCOLÓGICO',
    'CUIDADOS PALIATIVOS NÃO-ONCOLÓGICO',
    'OXIGENOTERAPIA DOMICILIAR',
    'USO DE TRAQUEOSTOMIA',
    'USO DE ASPIRADOR DE VIAS AÉRIAS PARA HIGIENE BUCAL',
    'SUPORTE VENTILATÓRIO NÃO INVASICO - CPAP',
    'SUPORTE VENTILATÓRIO NÃO INVASICO - BIPAP',
    'DIÁLISE PERITONIAL',
    'PARACENTESE',
    'MEDICAÇÃO PARENTERAL',
  ];
  List<String> listServicePlace = [
    'UBS',
    'UNIDADE MÓVEL',
    'RUA',
    'DOMICÍLIO',
    'ESCOLA/CRECHE',
    'OUTROS',
    'POLO',
    'INSTITUIÇÃO/ABRIGO',
    'UNIDADE PRISIONAL OU CONGÊNERES',
    'UNIDADE SOCIOEDUCATIVA',
    'HOSPITAL',
    'UNIDADE DE PRONTO ATENDIMENTO',
    'CACON/UNACON',
  ];
  List<String> typeService = [
    'ATENDIMENTO PROGRAMADO',
    'ATENDIMENTO NÃO PROGRAMADO',
    'VISITA DOMICILIAR PÓS ÓBITO',
  ];
  List<String> typeService2 = [
    'CONSULTA AGENDADA PROGRAMADA/CUIDADO CONTINUADO',
    'CONSULTA AGENDADA',
    'DEMANDA ESPONTÂNEA - ESCUTA INICIAL/ORIENTAÇÃO',
    'DEMANDA ESPONTÂNEA - CONSULTA NO DIA',
    'DEMANDA ESPONTÂNEA - ATENDIMENTO DE EMERGÊNCIA',
  ];
  List<TypeBreedModel> listBreed = [
    TypeBreedModel(cod: 4, title: 'AMARELA'),
    TypeBreedModel(cod: 1, title: 'BRANCA'),
    TypeBreedModel(cod: 5, title: 'INDIGENA'),
    TypeBreedModel(cod: 2, title: 'NEGRA'),
    TypeBreedModel(cod: 3, title: 'PARDA'),
  ];
  List<TypeScoolingModel> listScooling = [
    TypeScoolingModel(cod: 4, title:  'ENSINO FUNDAMENTAL'),
    TypeScoolingModel(cod: 3, title:  'ENSINO MEDIO'),
    TypeScoolingModel(cod: 5, title:  'ENSINO MEDIO INCOMPLETO'),
    TypeScoolingModel(cod: 0, title:  'NAO DEFINIDO'),
    TypeScoolingModel(cod: 1, title:  'SUPERIOR'),
    TypeScoolingModel(cod: 2, title:  'SUPERIOR INCOMPLETO'),
  ];

  List<TypeMaritalModel> listMaritalStatus = [
    TypeMaritalModel(cod:  2,title: 'CASADO(A)'),
    TypeMaritalModel(cod:  6,title: 'DESQUITADO(A)'),
    TypeMaritalModel(cod:  4,title: 'DIVORCIADO(A)'),
    TypeMaritalModel(cod: 99,title: 'NAO DEFINIDO'),
    TypeMaritalModel(cod:  7,title: 'SEPARADO(A)'),
    TypeMaritalModel(cod:  1,title: 'SOLTEIRO(A)'),
    TypeMaritalModel(cod:  5,title: 'UNIAO ESTAVEL'),
    TypeMaritalModel(cod:  3,title: 'VIUVO(A)'),
  ];
  List<String> listGender = [
    'FEMININO','MASCULINO'
  ];
  List<String> listProcedures = [
    'Aferição de PA',
    'Curativo Simples',
    'Glicemia Capilar',
    'Medição de Peso',
    'Coleta de Material para Exame Laboratorial',
    'Aferição de Temperatura',
    'Medição de Altura',
  ];
  List<String> itensProcedures = [
    '0101010010 - ATIVIDADE EDUCATIVA / ORIENTAÇÃO EM GRUPO NA ATENÇÃO PRIMÁRIA',
    '0101010028 - ATIVIDADE EDUCATIVA / ORIENTAÇÃO EM GRUPO NA ATENÇÃO ESPECIALIZADA',
    '0101010036 - PRÁTICA CORPORAL / ATIVIDADE FÍSICA EM GRUPO',
    '0101020015 - AÇÃO COLETIVA DE APLICAÇÃO TÓPICA DE FLÚOR GEL',
    '0101020023 - AÇÃO COLETIVA DE BOCHECHO FLUORADO',
    '0101020031 - AÇÃO COLETIVA DE ESCOVAÇÃO DENTAL SUPERVISIONADA',
    '0101020040 - AÇÃO COLETIVA DE EXAME BUCAL COM FINALIDADE EPIDEMIOLÓGICA',
    '0101020058 - APLICAÇÃO DE CARIOSTÁTICO (POR DENTE)',
  ];
  List<String> itensCBO = [
    '223208 - Cirurgião dentista - clínico geral',
    '223505 - Enfermeiro',
    '223565 - Enfermeiro da estratégia de saúde da família',
    '223605 - Fisioterapeuta geral',
    '223710 - Nutricionista',
    '223810 - Fonoaudiólogo geral',
    '225112 - Médico neurologista',
    '225120 - Médico cardiologista',
    '225124 - Médico pediatra',
    '225125 - Médico clínico',
  ];

  List<TypeCertificateModel> itensDeficiency = [
    TypeCertificateModel(cod: 4, title:  'AFONICA'),
    TypeCertificateModel(cod: 5, title:  'AUDITIVA'),
    TypeCertificateModel(cod:10, title:  'FISICA'),
    TypeCertificateModel(cod: 2, title:  'IGNORADO'),
    TypeCertificateModel(cod: 6, title:  'INTELECTUAL'),
    TypeCertificateModel(cod: 7, title:  'MOTORA'),
    TypeCertificateModel(cod: 8, title:  'MULTIPLA'),
    TypeCertificateModel(cod: 3, title:  'NENHUMA'),
    TypeCertificateModel(cod: 9, title:  'VISUAL'),
  ];

  List<TypeCertificateModel> itensCertificate = [
    TypeCertificateModel(cod: 91, title:  'NASCIMENTO'),
    TypeCertificateModel(cod: 92, title:  'CASAMENTO'),
    TypeCertificateModel(cod: 93, title:  'DIVÓRCIO'),
    TypeCertificateModel(cod: 95, title:  'ADMINISTRATIVA - ÍNDIO'),
    TypeCertificateModel(cod: 91, title:  'NASCIMENTO - N'),
    TypeCertificateModel(cod: 92, title:  'CASAMENTO - N'),
    TypeCertificateModel(cod: 93, title:  'DIVÓRCIO - N'),
    TypeCertificateModel(cod: 95, title:  'ADMINISTRATIVA - ÍNDIO - N'),
  ];

  List<CityLoadModel> itensCity = [
    CityLoadModel(codCity: 3311, nameCityApi: 'anhembi',            nameCityFront: 'Anhembi',                     codState: 'SP', codCityIbge: 350230),
    CityLoadModel(codCity: 3313, nameCityApi: 'aparecida',          nameCityFront: 'Aparecida',                   codState: 'SP', codCityIbge: 350250),
    CityLoadModel(codCity: 3352, nameCityApi: 'batatais',           nameCityFront: 'Batatais',                    codState: 'SP', codCityIbge: 350590),
    CityLoadModel(codCity: 3360, nameCityApi: 'biritiba',           nameCityFront: 'Biritiba Mirim',              codState: 'SP', codCityIbge: 350660),
    CityLoadModel(codCity: 3381, nameCityApi: 'cabreuva',           nameCityFront: 'Cabreúva',                    codState: 'SP', codCityIbge: 350840),
    CityLoadModel(codCity: 1903, nameCityApi: 'cachoeira',          nameCityFront: 'Cachoeira Paulista',          codState: 'SP', codCityIbge: 290490),
    CityLoadModel(codCity: 3384, nameCityApi: 'caconde',            nameCityFront: 'Caconde',                     codState: 'SP', codCityIbge: 350870),
    CityLoadModel(codCity: 3409, nameCityApi: 'casabranca',         nameCityFront: 'Casa Branca',                 codState: 'SP', codCityIbge: 351080),
    CityLoadModel(codCity: 3427, nameCityApi: 'corumbatai',         nameCityFront: 'Corumbataí',                  codState: 'SP', codCityIbge: 351270),
    CityLoadModel(codCity: 3437, nameCityApi: 'descalvado',         nameCityFront: 'Descalvado',                  codState: 'SP', codCityIbge: 351370),
    CityLoadModel(codCity: 2539, nameCityApi: 'extrema',            nameCityFront: 'Extrema',                     codState: 'MG', codCityIbge: 312510),
    CityLoadModel(codCity: 3473, nameCityApi: 'francodarocha',      nameCityFront: 'Franco da Rocha',             codState: 'SP', codCityIbge: 351640),
    CityLoadModel(codCity: 3514, nameCityApi: 'igaracudotiete',     nameCityFront: 'Igaraçu do Tietê',            codState: 'SP', codCityIbge: 352000),
    CityLoadModel(codCity: 3531, nameCityApi: 'iracemapolis',       nameCityFront: 'Iracemápolis',                codState: 'SP', codCityIbge: 352140),
    CityLoadModel(codCity: 3546, nameCityApi: 'itapolis',           nameCityFront: 'Itápolis',                    codState: 'SP', codCityIbge: 352270),
    CityLoadModel(codCity: 3555, nameCityApi: 'itirapina',          nameCityFront: 'Itirapina',                   codState: 'SP', codCityIbge: 352360),
    CityLoadModel(codCity: 3560, nameCityApi: 'ituverava',          nameCityFront: 'Ituverava',                   codState: 'SP', codCityIbge: 352410),
    CityLoadModel(codCity: 3570, nameCityApi: 'jardinopolis',       nameCityFront: 'Jardinópolis',                codState: 'SP', codCityIbge: 352510),
    CityLoadModel(codCity: 3584, nameCityApi: 'laranjal',           nameCityFront: 'Laranjal Paulista',           codState: 'SP', codCityIbge: 352640),
    CityLoadModel(codCity: 3601, nameCityApi: 'macatuba',           nameCityFront: 'Macatuba',                    codState: 'SP', codCityIbge: 352800),
    CityLoadModel(codCity: 3606, nameCityApi: 'mairipora',          nameCityFront: 'Mairiporã',                   codState: 'SP', codCityIbge: 352850),
    CityLoadModel(codCity: 3628, nameCityApi: 'mococa',             nameCityFront: 'Mococa',                      codState: 'SP', codCityIbge: 353050),
    CityLoadModel(codCity: 3642, nameCityApi: 'morroagudo',         nameCityFront: 'Morro Agudo',                 codState: 'SP', codCityIbge: 353190),
    CityLoadModel(codCity: 3691, nameCityApi: 'pardinho',           nameCityFront: 'Pardinho',                    codState: 'SP', codCityIbge: 353610),
    CityLoadModel(codCity: 3699, nameCityApi: 'pederneiras',        nameCityFront: 'Pederneiras',                 codState: 'SP', codCityIbge: 353670),
    CityLoadModel(codCity: 3719, nameCityApi: 'piracicaba',         nameCityFront: 'Piracicaba',                  codState: 'SP', codCityIbge: 353870),
    CityLoadModel(codCity: 3740, nameCityApi: 'portoferreira',      nameCityFront: 'Porto Ferreira',              codState: 'SP', codCityIbge: 354070),
    CityLoadModel(codCity: 3816, nameCityApi: 'santarita',          nameCityFront: 'Santa Rita',                  codState: 'SP', codCityIbge: 354750),
    CityLoadModel(codCity: 3821, nameCityApi: 'stoantoniodaalegria',nameCityFront: 'Santo Antônio da Alegria',    codState: 'SP', codCityIbge: 354790),
    CityLoadModel(codCity: 3853, nameCityApi: 'ssgrama',            nameCityFront: 'São Sebastião da Grama',      codState: 'SP', codCityIbge: 355080),
    CityLoadModel(codCity: 3882, nameCityApi: 'tapiratiba',         nameCityFront: 'Tapiratiba',                  codState: 'SP', codCityIbge: 355360),
  ];
  var backgroundGradient = BoxDecoration(
      gradient:  LinearGradient(
        begin: Alignment.topCenter,
        end: Alignment.bottomCenter,
        colors: [
          ColorPalette.primary,
          ColorPalette.secundary,
        ],
      )
  );
}